---
title: Navigator.canShare()
slug: Web/API/Navigator/canShare
tags:
  - API
  - Method
  - Navigator
  - Reference
  - Share
---
<div>{{APIRef("HTML DOM")}}{{Non-standard_Header}}{{SeeCompatTable}}{{securecontext_header}}</div>

<p class="summary">The <strong><code>Navigator.canShare()</code></strong> method of the Web Share API returns <code>true</code> if a call to {{domxref("navigator.share()")}} would succeed.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">const <em>canShare</em> = navigator.canShare(<em>data</em>);</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>data</code> {{optional_inline}}</dt>
 <dd>An object containing data to share that matches what you would pass to {{domxref("navigator.share()")}}.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>A {{jsxref('Boolean')}}. True if data can be shared with {{domxref("Navigator.share()")}}.</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js notranslate">if(navigator.canShare(data)) {
  // We can use share() to share the data! Woop!
}</pre>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Navigator.canShare")}}</p>

<h2 id="See_Also">See Also</h2>

<p>{{domxref("navigator.share()")}}</p>
